Subject: RE: [SIP] SIP->XML->SOAP

From: "Fox, Mike" <[email-masked]>
Date: Fri, 16 Jun 2000 11:42:35 -0700

SIP+XML is where SIP is at now. Additional objects are added and tagged by
MIME headers.

SIP->XML would converge the SIP methods and required parameters to XML and
allows the introduction of a DTD or schema to define the syntax of a valid
SIP message. Transport is UDP to the well known SIP port. Additional
information objects could still use MIME tags and individual syntax, however
many objects would converge to XML and reference their own dtd ( as MLPP
does). The MIME tags are redundant(obsolete) if a xml dtd reference is used.

(SIP->XML)->SOAP would change the transport to HTTP ( I know HTTP may need
some fixing ie. TCP -> SCTP), and change SIP from a protocol to a set of
object interfaces exposed by the SOAP schema. The SIP "methods" would become
object interface methods. Events could be defined through event object
interface methods. Device control can be defined similarly.

Mike

> -----Original Message-----
> From: Sean Olson [mailto:[email-masked]]
> Sent: Friday, June 16, 2000 11:37 AM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [SIP] SIP->XML->SOAP
> 
> 
> > I agree. I believe (SIP -> XML) -> SOAP(like)HTTP is 
> unstoppable. OSP and
> > IMPP require XML awareness in SIP devices, so the door has 
> already been
> > opened for XML convergence of the SIP domain. HTTP is the Internet
> > Application Protocol. The problems of HTTP using TCP can be 
> fixed with SCTP
> > (I hope!). Of course this will take some time (12+ months).
> > 
> > Shouldn't this be the direction of SIP?
> > Comments?
> > 
> > 
> > Mike Fox
> 
> If you mean using XML as a common body format, I agree. If 
> you mean SOAP,
> I think this is better solved with HTTP. SOAP is an 
> interesting alternative
> for service execution in a SIP network. I don't think 
> carrying it via SIP
> is necessary or really buys you anything in this case. But it 
> certainly
> is a possibility.
> 
> --
> Sean Olson <[email-masked]>
> 

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Sat, 17 Jun 2000 01:09:43 -0400

"Fox, Mike" wrote:
> SIP message. 

Why?

SIP is already standardized. A syntax is already defined. There are well
over 50 implementations (more likely around 100 by now). Any future
versions of SIP need to be maximally compatible. So, for better or for
worse, and NOT for debate, SIPs syntax is already done. Any discussions
on migration to XML, binary, ASN.1 or the next flavor du jour are
academic, fruitless, and a waste of space in my inbox, IMHO.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

---

From: Henry Sinnreich <[email-masked]>
Date: Sun, 18 Jun 2000 07:09:04 -0500

>> allows the introduction of a DTD or schema to define

Do not forget that endangering the deployment of SIP as is,
would set IP telephony back for a generation and leave the field
for "softswitches" and other such nonsense. Nobody on this
mailing list would then live to see true/open Internet
communications, but just the old circuit switch central control
model with its terrible signaling. Just using IP as a cheap
wire.

My two cents.

Henry

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Sun, 18 Jun 2000 03:13:33 -0500

Henry,

Don't lump Mike in with "those softswitch vendors" just because
he mentioned XML, (as you could if he had mentioned ASN.1).

Also, I believe he was talking about SIP's ``direction'' not the
current situation.

XML approaches have some strong arguments: it would take many
IETF WG's away from defining new syntaxes and allow them to
concentrate on the semantics.  Combined with an XSL, message
parsers and generators could be made to run of the specification
instead of being specially developed.  Bindings to application
level frameworks (such as Java) could be possible in general.

It's just running the thing (necessarily) over HTTP which doesn't
make sense to me.

--Brian

Henry Sinnreich wrote:                 (07:09:04 -0500 Sun, 18 Jun 2000)
>
> >> SIP->XML would converge the SIP methods and required
> >> parameters to XML and allows the introduction of a DTD or
> >> schema to define the syntax of a valid SIP message.
> 
> would set IP telephony back for a generation and leave the
> field for "softswitches" and other such nonsense. Nobody on
> this mailing list would then live to see true/open Internet

-- 
Brian F. G. Bidulock   ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
                       ¦ trying  to adapt the  world  to himself. ¦
                       ¦ Therefore  all  progress  depends on the ¦
M.O.A.M.O.N.N.T.O.M.E. ¦ unreasonable man. -- George Bernard Shaw ¦

---

From: Matt Holdrege <[email-masked]>
Date: Wed, 21 Jun 2000 13:31:39 -0700

At 07:09 AM 6/18/00 -0500, Henry Sinnreich wrote:
> >parameters to XML and

Henry,

This is the first time I recall seeing "softswitches" being denigrated on 
an IETF list. I would hope you realize that they are an enabler to get the 
circuit switched world to migrate to open communications? Saying that 
Softswitches will preserve the circuit switched world with it's "terrible 
signalling" is a bit short-sighted.

You should also realize that SIP is doing quite well in the area of market 
acceptance. The more people buy into SIP the more evolution will be 
required. Change is inevitable even though we must try to manage it well. 
XML is one such change that seems (to me) to be inevitable. So it would be 
better to try and manage the interactions with SIP and XML here in the IETF 
rather than elsewhere. Besides, it's part of the openess that we all should 
encourage.